ALR-EXEC(1)

NAME
alr-exec - Run the given command in the alire project context

SYNOPSIS

alr exec [options] [-P?] [--] <executable/script> [<switches and arguments>]

OPTIONS

-P[ARG]
    Add "-P <PROJECT_FILE>" to the command switches

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Alr sets up the environment variables (GPR_PROJECT_PATH, PATH, etc.) and then spawns the given command.

This can be used to run tools or scripts on Alire projects. The -P switch can be used to ask Alire to insert a -P <PROJECT_FILE> switch to the command arguments. -P takes an optional position argument to specify where to insert the extra switch. -P1 means first position, -P2 second position, etc. -P-1 means last position, -P-2 penultimate position, etc. -P equals -P1. For example "alr exec -P2 -- python3 main.py arg1" will run the following command: ["python3", "main.py", -P, "crate.gpr", "arg1"]

SEE ALSO
alr(1), alr-action(1), alr-build(1), alr-clean(1), alr-dev(1), alr-edit(1), alr-run(1), alr-test(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution